<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * ヘルプ
 *
 * @author      netnee.jp
 * @access      public
 */

class Help
{
    var $pageid;
    var $title;
    var $pagename;
    
    var $c_systeminfo;
    
    var $html;

    var $tab;

    var $from;
    var $type;

    /**
     * ヘルプ表示
     *
     * @access  public
     */
    function execute()
    {
        switch ($this->pageid) {
        case 'privacy':
            $this->pagename = "プライバシーポリシー";
            $record = $this->c_systeminfo->selectAll();
            $this->html = $record[0]["privacy_policy"];
            break;
        case "indication":
            $this->pagename = "特定商取引法に基づく表示";
            $record = $this->c_systeminfo->selectAll();
            $this->html = $record[0]["transaction_law"];
            break;
        case "kobutu":
            $this->pagename = "許可・届出";
            $record = $this->c_systeminfo->selectAll();
            $this->html = $record[0]["permit_rule"];
            break;
        case "kiyaku":
            $this->pagename = "利用規約";
            $record = $this->c_systeminfo->selectAll();
            $this->html = $record[0]["use_rule"];
            break;
        case "company":
            $this->pagename = "会社概要";
            $record = $this->c_systeminfo->selectAll();
            $this->html = $record[0]["company_overview"];
            break;
        case "rss":
            $this->pagename = "RSSについて";
            break;


        //以下ガイド
        case "guide_top":
            $this->tab = "all";
            break;
        case "ichiba":
            $this->tab = "ichiba";
            break;
        case "member":
            $this->tab = "member";
            break;
        case "buy":
            $this->tab = "buy";
            break;
        case "pey":
            $this->tab = "pey";
            $record = $this->c_systeminfo->selectAll();
            $this->html = $record[0]["method_payment"];
            break;
        case "send":
            $this->tab = "send";
            break;
        case "exhibitmember":
            $this->tab = "exhibitmember";
            break;
        case "exhibit":
            $this->tab = "exhibit";
            break;
        case "return":
            $this->tab = "return";
            break;
        case "houshin":
            $this->tab = "houshin";
            break;
        case "pro":
            $this->tab = "pro";
            break;

        //以下操作ガイド
        case "takkyubin1":                //出品からお取引完了までの流れ
            $this->tab = "takkyubin1";
            break;

        case "exhibitroute":                //宅急便追加料金って何？keiyakukubun
            $this->tab = "exhibitroute";
            break;

        case "takkyubin2":                //宅急便追加料金ってどこで設定するの？
            $this->tab = "takkyubin2";
            break;

        case "keiyakukubun":                //出品者システムの契約区分て何？
            $this->tab = "keiyakukubun";
            break;

        case "keiyakukubun2":                //出品者システムの契約区分を変更したい！
            $this->tab = "keiyakukubun2";
            break;


        case "exhibitinfo":                //出品者からのお知らせの使いかたを教えて！
            $this->tab = "exhibitinfo";
            break;

        case "exhibitinfo2":                //出品者からのお知らせってどこで設定するの？
            $this->tab = "exhibitinfo2";
            break;

        case "exhibitchang":                //出品中商品の情報変更
            $this->tab = "exhibitchang";
            break;

        case "exhibitdel":                //出品取り止め
            $this->tab = "exhibitdel";
            break;

        case "exhibitstop":                //出品停止／再開
            $this->tab = "exhibitstop";
            break;

        case "point":                //出品者評価
            $this->tab = "point";
            break;

        case "img":                //画像登録
            $this->tab = "img";
            break;

        case "sendmanag":                //売れた商品の発送管理がしたい
            $this->tab = "sendmanag";
            break;

        case "history":                //出品履歴がみたい
            $this->tab = "history";
            break;

        case "paymanage":                //未入金管理／入金管理
            $this->tab = "paymanage";
            break;

        case "payback":                //返金処理
            $this->tab = "payback";
            break;

        case "buyerrote":                //購入からお取引完了までの流れ
            $this->tab = "buyerrote";
            break;

        case "buyerpaybackrote":                //出品者「onedepo」から購入したものの返品
            $this->tab = "buyerpaybackrote";
            break;

        case "buyerpaybackrote2":                //一般出品者から購入したものの返品等
            $this->tab = "buyerpaybackrote2";
            break;

        case "paybackrote":                //返金までの流れ（出品者用）
            $this->tab = "paybackrote";
            break;

        case "point2":                //購入者からの評価が見たい
            $this->tab = "point2";
            break;

        case "sendmail":                //購入者に連絡がとりたい
            $this->tab = "sendmail";
            break;

        case "cancel":                //出品者「onedepo」から購入したものの返品キャンセル
            $this->tab = "cancel";
            break;

        case "pastdetail":                //過去に買った商品が見たい
            $this->tab = "pastdetail";
            break;

        case "myfavorite":                //お気に入りって何？使い方も教えて！
            $this->tab = "myfavorite";
            break;

        case "review":                //レビューって何？使い方も教えて！
            $this->tab = "review";
            break;

        case "tag":                //タグって何？使い方も教えて！violation
            $this->tab = "tag";
            break;

        case "violation":                //違反行為とは
            $this->tab = "violation";
            break;

        case "condition":                //商品状態
            $this->tab = "condition";
            break;
       case "send1":
            $this->tab = "send1";
            break;  
       case "favorite":                //お気に入り機能について
            $this->tab = "favorite";
            break;
        }

        return $this->pageid;
    }
    
    function gethtml()
    {
        return $this->html;
    }
}
?>
